.\"	$NetBSD: boot.8,v 1.8 2003/08/07 10:31:23 agc Exp $
.\"
.\" Copyright (c) 1990, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Systems Programming Group of the University of Utah Computer
.\" Science Department.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)boot_hp300.8	8.2 (Berkeley) 4/19/94
.\"
.Dd April 19, 1994
.Dt BOOT 8 hp300
.Os
.Sh NAME
.Nm boot
.Nd
system bootstrapping procedures
.Sh DESCRIPTION
.Ss Power fail and crash recovery
Normally, the system will reboot itself at power-up or after crashes.
An automatic consistency check of the file systems will be performed,
and unless this fails, the system will resume multi-user operations.
.Pp
.Ss Cold starts
On an HP300, the boot procedure uses the boot ROM to load a boot program
from an
.Tn LIF
format directory at the beginning of an attached disk.
The
.Pa /usr/mdec
directory contains a disk boot programs which should be placed in a
new pack automatically by
.Xr newfs 8
when the
.Dq a
partition file system on the pack is created.
.Pp
This
.Em boot
program
finds the corresponding file on the given device
.Pf ( Ar netbsd
by default),
loads that file into memory,
and starts the program at the entry address specified in the program header.
.Pp
The boot program can be interrupted by typing
.Sq \&^C
(ctrl-C).
This will force the boot program to interactively prompt for a system to boot.
If not interrupted, it will boot from the device from which the boot
program itself was loaded.
.Pp
The file specifications used for an interactive boot are of the form:
.Pp
.Dl device(unit, minor)
.Pp
where
.Ar device
is the type of the device to be searched,
.Ar unit
is 8 * the HP-IB number plus the unit number of the disk or tape,
and
.Ar minor
is the disk partition or tape file number.
Normal line editing characters can be used when typing the file specification.
Currently,
.Dq rd
and
.Dq sd
are the only valid
.Ar device
specifiers.
.Pp
For example,
to boot from the
.Sq a
file system of unit 0 on HP-IB 2,
type
.Ql rd(16, 0)netbsd
to the boot prompt.
For tapes, the minor device number gives a file offset.
.Pp
In an emergency, the bootstrap methods described in the paper
.%T Installing 4.3bsd on the HP300
can be used to boot from a distribution tape.
.Sh FILES
.Bl -tag -width /usr/mdec/installboot -compact
.It Pa /netbsd
system code
.It Pa /usr/mdec/bootrd
.Tn LIF
format boot block
.It Pa /usr/mdec/installboot
program to install boot blocks
.El
.Sh SEE ALSO
.Xr halt 8 ,
.Xr reboot 8 ,
.Xr shutdown 8
